#ifndef __MAIN_H__
#define __MAIN_H__

#include <piece.h>
#include <s1c33cpu.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "mod.h"
#include "play.h"
#include "dsp.h"

//struct option_struct {
//	int gravis_playing;
//	int main_volume;
//	int def_tempo;
//	int def_bpm;
//};

//extern struct option_struct options;
//extern int gus_dev;
//extern int stereo;
//extern int bit16;
//extern uint32 mixspeed;
#define mixspeed 16000 /* for P/ECE */

//void help(void);
//void get_audio_device(void);
//void main(int argc, char **argv);

/* main.c */
extern int loudness;
void* fread_rom(size_t size, size_t count, FILE* fp);
/* play.c */
extern int rot_buf32[ROT_BUF_SIZE];
extern int* rot_buf32_ptr;
extern int rot_buf32_len;
/* mod.c */
void beattrack(register track_info_ptr track);
void get_track(register track_info_ptr track, pattern_ptr *pattern);
/* s3m.c */
void get_track_s3m(pattern_ptr *pattern);

#endif /*__MAIN_H__*/
